%define anolis_release 1
%define glib2_version           2.26.0

Name:    libnotify
Version: 0.8.3
Release: %{anolis_release}%{?dist}
Summary: Desktop notification library

License: LGPL-2.1-or-later
URL:     https://gitlab.gnome.org/GNOME/libnotify
Source0: https://download.gnome.org/sources/libnotify/0.8/%{name}-%{version}.tar.xz

BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: meson >= 0.58.0
BuildRequires: docbook-xsl-ns
BuildRequires: gi-docgen >= 2021.7
BuildRequires: xmlto
BuildRequires: /usr/bin/xsltproc

Requires: glib2 >= %{glib2_version}

%description
libnotify is a library for sending desktop notifications to a notification
daemon, as defined in the freedesktop.org Desktop Notifications spec. These
notifications can be used to inform the user about an event or display some
form of information without getting in the user's way.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains libraries and header files needed for
development of programs using %{name}.

%prep
%autosetup -p1

%build
%meson -Dtests=false
%meson_build

%install
%meson_install

%files
%license COPYING
%{_bindir}/notify-send
%{_libdir}/libnotify.so.*
%{_libdir}/girepository-1.0/Notify-0.7.typelib
%{_mandir}/man1/notify-send.1*

%files doc
%doc NEWS AUTHORS

%files devel
%dir %{_includedir}/libnotify
%{_includedir}/libnotify/*
%{_libdir}/libnotify.so
%{_libdir}/pkgconfig/libnotify.pc
%doc %{_docdir}/libnotify-0
%{_datadir}/gir-1.0/Notify-0.7.gir
%doc %{_docdir}/libnotify/spec/

%changelog
* Tue Feb 18 2025 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.8.3-1
- Update to 0.8.3 from 0.8.2
- Migrated to SPDX license

* Sat Feb 18 2023 Funda Wang <fundawang@yeah.net> - 0.8.2-1
- New version 0.8.2

* Thu Sep 22 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.8.1-1
- update to 0.8.1

* Wed Apr 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.7.9-1
- Init from upstream version 0.7.9

